<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::create('company_locations_meta', function (Blueprint $table) {
            $table->id();
            $table->foreignId('company_location_id')
                ->constrained()
                ->onUpdate('cascade')
                ->onDelete('cascade');
            $table->string('meta_key', 48);
            $table->text('meta_value')->nullable();
            $table->timestampsTz();

            $table->index('meta_key');
            $table->index(['company_location_id', 'meta_key']);
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('company_locations_meta');
    }
};
