<?php
// RESO Reference: https://ddwiki.reso.org/display/DDW17/PropertyType+Lookups

namespace Neutrino\Ion3Core\Enums;

enum RESOLookupPropertyType: string
{
    case BusinessOpportunity = 'Business Opportunity';
    case CommercialLease = 'Commercial Lease';
    case CommercialSale = 'Commercial Sale';
    case Farm = 'Farm';
    case Land = 'Land';
    case ManufacturedInPark = 'Manufactured In Park';
    case Residential = 'Residential';
    case ResidentialIncome = 'Residential Income';
    case ResidentialLease = 'Residential Lease';

    public static function asArray(): array
    {
        return array_column(self::cases(), 'value');
    }

    public function getLabel(): ?string
    {
        return $this->value;
    }
}
