<?php
// RESO Reference: https://ddwiki.reso.org/display/DDW17/StandardStatus+Lookups

namespace Neutrino\Ion3Core\Enums;

enum RESOLookupStandardStatus: string
{
    case Active = 'Active';
    case ActiveUnderContract = 'Active Under Contract';
    case Canceled = 'Canceled';
    case Closed = 'Closed';
    case ComingSoon = 'Coming Soon';
    case Delete = 'Delete';
    case Expired = 'Expired';
    case Hold = 'Hold';
    case Incomplete = 'Incomplete';
    case Pending = 'Pending';

    public static function asArray(): array
    {
        return array_column(self::cases(), 'value');
    }

    public function getLabel(): ?string
    {
        return $this->value;
    }

    public function getColor(): string
    {
        return match ($this) {
            self::Active => 'success',
            self::ActiveUnderContract => 'info',
            self::Canceled => 'gray',
            self::Closed => 'danger',
            self::ComingSoon => 'warning',
            self::Delete => 'gray',
            self::Expired => 'gray',
            self::Hold => 'info',
            self::Incomplete => 'gray',
            self::Pending => 'info',
        };
    }
}
