<?php

namespace Neutrino\Ion3Core\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\HasMany;
use Neutrino\Ion3Core\Database\Factories\CompanyFactory;

class Ion3Company extends Model
{
    use HasFactory;

    protected $table = 'companies';
    protected $companyLocationClass = \App\Ion3\Models\CompanyLocation::class;
    protected $hidden = ['created_at', 'updated_at'];
    protected $guarded = ['id', 'created_at', 'updated_at'];

    public function __construct(array $attributes = [])
    {
        parent::__construct($attributes);
    }

    protected static function newFactory()
    {
        return CompanyFactory::new();
    }

    public function company_locations(): HasMany
    {
        return $this->hasMany($this->companyLocationClass, 'company_id');
    }
}