<?php

namespace Neutrino\Ion3Core\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class Ion3CompanyLocationMeta extends Model
{
    use HasFactory;

    protected $table = 'company_locations_meta';
    protected $companyLocationClass = \App\Ion3\Models\CompanyLocation::class;
    protected $hidden = ['created_at', 'updated_at'];
    protected $guarded = ['id', 'created_at', 'updated_at'];

    public function company_location(): BelongsTo
    {
        return $this->belongsTo($this->companyLocationClass, 'company_location_id');
    }
}
